#
# spec file for package xxgdb (Version 1.12)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         xxgdb
Copyright:    1989 The University of Texas at Austin, 1990 Microelectronics and Computer Technology Corporation
Group:        Development/Debuggers
Provides:     xxgdb 
Requires:     gdb
Autoreqprov:  on
Version:      1.12
Release:      412
Summary:      User interface to gdb
Source:       ftp://ftp.x.org/contrib/utilities/xxgdb-%{version}.tar.gz
Patch:        xxgdb-%{version}.dif
BuildRoot:    %{_tmppath}/%{name}-build

%description
Xxgdb is a graphical user interface to the gdb debugger under the X
Window System.

Authors:
--------
    Po Cheung <cheung@sw.mcc.com>

SuSE series: xdev

%prep
%setup
%patch

%build
xmkmf -a
make

%install
make DESTDIR=$RPM_BUILD_ROOT install
make DESTDIR=$RPM_BUILD_ROOT install.man

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/X11R6/bin/xxgdb
%config /usr/X11R6/lib/X11/app-defaults/XDbx
%doc /usr/X11R6/man/man1/xxgdb.1*

%changelog -n xxgdb
* Wed Nov 15 2000 - vinil@suse.cz
- source path enhanced
* Thu May 25 2000 - vinil@suse.cz
- buildroot added
- sorted in group
* Wed Dec 01 1999 - schwab@suse.de
- Use getpt to make it work when /dev/pts is not mounted
* Wed Dec 01 1999 - kukuk@suse.de
- Patch xxgdb to use /dev/pts
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Aug 26 1999 - kukuk@suse.de
- Specfile cleanup
